Subject: [Isms] Fw: TLSTM -04 draft being published: s3.2

From: "tom.petch" <[email-masked]>
Date: Tue, 5 Jan 2010 12:17:21 +0100

Resending as this seems to have fallen into the great Y2.01K spam hole.

Tom Petch

----- Original Message -----
From: "tom.petch" <[email-masked]>
Sent: Saturday, January 02, 2010 12:07 PM

> Section 3.2 puzzles me; I am not clear what the aim of it is.
>
> The second paragraph covers a client using sendMessage and passing parameters
> from tlsTM to TLS, eg a Get message.
>
> The first paragraph covers a server receiving a message, updating the cache
and
> passing parameters from tlsTM to the SM, eg a Get message.
>
> Does tlsTM include Response messages:-)  Only there are two cases missing, a
> server sending eg a Response message and a client receiving eg a Response
> message.
>
> It seems to me that either four paragraphs are needed, or else the client
> paragraph needs to cover send and receive, or else the second paragraph needs
to
> cover client and server send or ....
>
> Tom Petch
>
> > ----- Original Message -----
> > From: "Wes Hardaker" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Wednesday, December 30, 2009 6:11 PM
> > Subject: [Isms] TLSTM -04 draft being published: wraps up all
outstandingedits

---

From: Wes Hardaker <[email-masked]>
Date: Tue, 05 Jan 2010 17:04:10 -0800

>>>>> On Tue, 5 Jan 2010 12:17:21 +0100, "tom.petch" <[email-masked]> said:

tp> Resending as this seems to have fallen into the great Y2.01K spam
tp> hole.

It's definitely one of the more interesting bugs recently.  Shows how
all the mail in the world seems to be dependent on one software package
;-)

>> The second paragraph covers a client using sendMessage and passing
>> parameters from tlsTM to TLS, eg a Get message.
>> 
>> The first paragraph covers a server receiving a message, updating the
>> cache and passing parameters from tlsTM to the SM, eg a Get message.
>> 
>> It seems to me that either four paragraphs are needed, or else the
>> client paragraph needs to cover send and receive, or else the second
>> paragraph needs to cover client and server send or ....

The section is certainly highly abstract as it relies on the framework
provided by RFC5590 that we're bulding upon.  However, I'm not going to
change the text since we don't have a concrete proposal at this point
and are still way beyond last call and you're talking about a major
revamp of the section.
-- 
Wes Hardaker
Cobham Analytic Solutions